Bug 14981 - Sample patron data broken by removal of ethnicity column
Summary: Sample patron data broken by removal of ethnicity column
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Installation and upgrade (web-based installer) (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10020
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 15:27 UTC by Kyle M Hall
Modified: 2016-06-21 21:39 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14981: Remove ethnicity occurrences from sample patrons file (194.16 KB, patch)
2015-10-08 16:23 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 14981: Remove ethnicity occurrences from sample patrons file (194.34 KB, patch)
2015-10-22 07:30 UTC, Frédéric Demians
Details | Diff | Splinter Review
[PASSED QA] Bug 14981: Remove ethnicity occurrences from sample patrons file (194.41 KB, patch)
2015-10-23 10:33 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-10-08 15:27:14 UTC
Bug 10020 has removed the ethnicity columns in Koha, but they are still referenced in the sample_patrons.sql file. Attempting to install using the sample data results in this error:
ERROR 1054 (42S22) at line 1: Unknown column 'ethnicity' in 'field list'
Comment 1 Jonathan Druart 2015-10-08 16:23:06 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2015-10-08 16:24:30 UTC
Remove 2 NULL from the end for the 1 insert, then
s|,NULL,NULL,'F',/,'F',/
s|,NULL,NULL,'M',/,'M',/
Comment 3 Frédéric Demians 2015-10-22 07:30:23 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-10-23 10:33:37 UTC
Created attachment 43813 [details] [review]
[PASSED QA] Bug 14981: Remove ethnicity occurrences from sample patrons file

Bug 10020 has removed these columns, the should be removed from the
patron sample file.

Test plan:
Insert the files updated by this patch into a fresh DB, you shouldn't
get any error.

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  Before applying the patch, I was able to notice the error when loading the
  patron sample SQL file to a DB. With the patch, it's solved.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-10-23 13:52:24 UTC
Patch pushed to master.

Thanks Jonathan!